For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Global Payroll
    • Introduction
    • Time Tracking
    • Adjustments
  • Common Use Cases
    • Reimburse expenses
  • Endpoints
      • POSTCreate a New Shift Rate
      • DELDelete a Shift Rate by external ID
      • POSTGenerate timesheet upload url
      • GETRetrieve a Paginated List of Shift Rates
      • GETRetrieve a Shift Rate by External ID
      • GETRetrieve a timesheet
      • POSTReview a submitted timesheet
      • PATCHUpdate a shift rate
LogoLogo
SupportDeel Home
EndpointsTime Tracking

Update a shift rate

PATCH
/time_tracking/shift_rates/:external_id
PATCH
/rest/v2/time_tracking/shift_rates/:external_id
$curl -X PATCH https://api.letsdeel.com/rest/v2/time_tracking/shift_rates/12345678g \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {}
>}'
1{
2 "data": {
3 "name": "dcba",
4 "type": "MULTIPLIER_PERCENTAGE",
5 "value": 80.2,
6 "created_at": "2024-10-17T10:48:20.314Z",
7 "updated_at": "2024-11-01T12:08:25.731Z",
8 "external_id": "12345678g"
9 }
10}

Applies a partial update to an existing shift rate, modifying only the fields provided in the request body. Token scopes: time-tracking:write

Was this page helpful?
Previous

Create raw time tracking shifts

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

external_idstringRequired
Unique identifier of the shift rate to be updated.

Request

This endpoint expects an object.
dataobjectRequired

Response

Shift rate updated successfully
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication